//***************************************************************************//
//* FRIDA: fast reliable interactive data analysis                          *//
//* (C) Joachim Wuttke 1990-, v2(C++) 2001-                                 *//
//* http://apps.jcns.fz-juelich.de/frida                                    *//
//***************************************************************************//

//! \file  curve.h
//! \brief NCurveFile: operations on curve files

//! API for creating and modifying curve files and for fitting.

namespace NCurveFile {

    void CreateFitcurve();
    void CreateFreecurve();
    void ChangeExpr();
    void ChangeRange();
    void SetFileReference( const string& which );

    void SetProperties( string which );
    void ParsLoop();
    void ParsAbs();
    void ParsCopy();
    void ShowPar();
    void EditPar();
    void SetFixed( bool fix );

    void SetFitTuningPars( string which );
    void Fit( bool _allow_slow_conv );

    void setConv( PSpec *sv, int *kv, int *jv, int k, int j );
    void SetIntTuningPars( string which );
    void IntegralProperty();

    void CumulativeDistribution();
}
